org.activiti.engine

## Interface ProcessEngine

- All Superinterfaces:
    EngineServices

      public interface ProcessEngine
      extends EngineServices

  Provides access to all the services that expose the BPM and workflow operations.
  - `RuntimeService`: Allows the creation of `Deployment`s and the starting of and searching on `ProcessInstance`s.
  - `TaskService`: Exposes operations to manage human (standalone) `Task`s, such as claiming, completing and assigning tasks
  - `IdentityService`: Used for managing `User`s, `Group`s and the relations between them<
  - `ManagementService`: Exposes engine admin and maintenance operations
  - `HistoryService`: Service exposing information about ongoing and past process instances.
  Typically, there will be only one central ProcessEngine instance needed in a end-user application. Building a ProcessEngine is done through a `ProcessEngineConfiguration` instance and is a costly operation which should be avoided. For that purpose, it is advised to store it in a static field or JNDI location (or something similar). This is a thread-safe object, so no special precautions need to be taken.
  Author:
    Tom Baeyens, Joram Barrez

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `VERSION` the version of the activiti library

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `String` | `getName()` The name as specified in 'process-engine-name' in the activiti.cfg.xml configuration file.

    - ### Methods inherited from interface org.activiti.engine.EngineServices

      `getDynamicBpmnService, getFormService, getHistoryService, getIdentityService, getManagementService, getProcessEngineConfiguration, getRepositoryService, getRuntimeService, getTaskService`

- - ### Field Detail

    - #### VERSION

          static final String VERSION

      the version of the activiti library
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          String getName()

      The name as specified in 'process-engine-name' in the activiti.cfg.xml configuration file. The default name for a process engine is 'default

    - #### close

          void close()

Copyright © 2016 Alfresco. All rights reserved.